// creator  : weidu.exe (version 23100)
// argument : COUNSEC.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~COUNSEC~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #5 /* Triggers after states #: 5 6 8 9 10 even though they appear after this state */
~RandomNum(6,1)
~ THEN BEGIN 0 // from:
  SAY #6461 /* ~I am afraid any sort of appeal before the Council is absolutely impossible, at the moment.  The Council is not in session at this time of year.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 5 6 8 9 10 even though they appear after this state */
~RandomNum(6,2)
~ THEN BEGIN 1 // from:
  SAY #29684 /* ~The Dahaunarch is in the city... but I am afraid he is out on Council business right now and isn't expected back soon.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 5 6 8 9 10 even though they appear after this state */
~RandomNum(6,3)
~ THEN BEGIN 2 // from:
  SAY #29685 /* ~The Namarch is in Athkatla... but he is entertaining a dignified guest at his home and isn't conducting business.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #8 /* Triggers after states #: 5 6 8 9 10 even though they appear after this state */
~RandomNum(6,4)
~ THEN BEGIN 3 // from:
  SAY #29686 /* ~The Meisarch... the highest of the Council... is currently at Riatavin dealing with the rebellion, according to my knowledge.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #9 /* Triggers after states #: 5 6 8 9 10 even though they appear after this state */
~RandomNum(6,5)
~ THEN BEGIN 4 // from:
  SAY #29687 /* ~The Council of Six rules all of Amn, yes, but also the city of Athkatla... but they aren't currently sitting.  The bureaucracy is overseeing things here at the moment.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~InParty("Valygar")
See("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
RandomNum(2,1)
Global("counsecValygar","LOCALS",0)
~ THEN BEGIN 5 // from:
  SAY #29688 /* ~... Oh, ah, Lord Corthala... I'm afraid that the Council simply isn't willing to hear from you again regarding --~ */
  IF ~~ THEN DO ~SetGlobal("counsecValygar","LOCALS",1)
~ EXTERN ~VALYGARJ~ 22
END

IF WEIGHT #1 ~InParty("Nalia")
See("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)
RandomNum(2,1)
Global("counsecNalia","LOCALS",0)
~ THEN BEGIN 6 // from:
  SAY #29690 /* ~... Mm, ah, yes... the daughter of Lord de'Arnise.  The Council is taking the matter of your father under advisement.  We can let you know in, say, three to four weeks?~ */
  IF ~~ THEN DO ~SetGlobal("counsecNalia","LOCALS",1)
~ EXTERN ~NALIAJ~ 132
END

IF WEIGHT #10 /* Triggers after states #: 8 9 10 even though they appear after this state */
~RandomNum(6,6)
~ THEN BEGIN 7 // from:
  SAY #30021 /* ~All the members of the Council are kept secret... that way, nobody knows who to bribe, you see.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~InParty("HaerDalis")
See("HaerDalis")
!StateCheck("HaerDalis",STATE_SLEEPING)
RandomNum(3,1)
Global("counsecHaerDalis","LOCALS",0)~ THEN BEGIN 8 // from:
  SAY #50197 /* ~All the members of the Council are kept secret... that way, nobody knows who to bribe, you see.~ */
  IF ~~ THEN DO ~SetGlobal("counsecHaerDalis","LOCALS",1)~ EXTERN ~HAERDAJ~ 89
END

IF WEIGHT #3 ~InParty("Edwin")
See("Edwin")
!StateCheck("Edwin",STATE_SLEEPING)
RandomNum(3,2)
Global("counsecEdwin","LOCALS",0)~ THEN BEGIN 9 // from:
  SAY #50198 /* ~The Council is currently deliberating harsher penalties against magic use here in the city, so I'm afraid they aren't taking on any new petitions.~ */
  IF ~~ THEN DO ~SetGlobal("counsecEdwin","LOCALS",1)~ EXTERN ~EDWINJ~ 87
END

IF WEIGHT #4 ~InParty("Mazzy")
See("Mazzy")
!StateCheck("Mazzy",STATE_SLEEPING)
RandomNum(3,3)
Global("counsecMazzy","LOCALS",0)~ THEN BEGIN 10 // from:
  SAY #50199 /* ~I'm sure you can agree that the Council does a fine job in governing Athkatla, despite what anyone might tell you.  (sniff)~ */
  IF ~~ THEN DO ~SetGlobal("counsecMazzy","LOCALS",1)~ EXTERN ~MAZZYJ~ 159
END
